(function () {
	var acc = document.getElementsByClassName("accordion-btn");
	var i;
	var copyjs = document.getElementsByClassName("metadata-copy-content");
	var range = document.createRange();

	var copypopup = document.getElementById("copy");
	var copybtn = document.getElementById("copy-meta-btn");
	var span = document.getElementsByClassName("close")[0];


	/*Open Tab*/
	for (i = 0; i < acc.length; i++) {
		acc[i].addEventListener("click", function() {
			this.classList.toggle("active");
			var panel = document.getElementById("metadata-panel");
			if (panel.style.maxHeight) {
				panel.style.maxHeight = null;
			} else {
				panel.style.maxHeight = panel.scrollHeight + "px";
			}
		});
	}

	/*Copy Button*/

	for (i = 0; i < copyjs.length; i++) {
		copyjs[i].addEventListener("click", function () {
			range.selectNode(document.getElementById("json-text"));
			window.getSelection().removeAllRanges();
			window.getSelection().addRange(range);
			document.execCommand("copy");
			window.getSelection().removeAllRanges();
		});
	}
	copybtn.onclick = function() {
		copypopup.style.display = "block";
	}
	span.onclick = function() {
		copypopup.style.display = "none";
	}
	window.onclick = function(event) {
		if (event.target == copypopup) {
			copypopup.style.display = "none";
		}
	}
})();


