<div id="welcome-panel" class="welcome-panel">
    <div class="nft-marketplace-core welcome-panel-content">
        <div class="welcome-panel-header" style="max-width: none">
            <div class="welcome-panel-header-image">
                <img width="100%" src="<?php

                echo esc_url(plugin_dir_url(dirname(__FILE__, 2))."assets/images/welcome-message.jpg") ?>"/>
            </div>
            <h2><?php esc_html_e("Welcome to", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?><br/>
                <?php esc_html_e("Enefti - NFT Marketplace Core!", NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></h2>
            <p>
                <a target="_blank" href="https://modeltheme.com/changelog/enefti-nft-marketplace-core/">
                    <?php esc_html_e("Learn more about the ",  NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                    <?php esc_html_e(NFT_MARKETPLACE_CORE_VERSION) ?> <?php esc_html_e("version.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                </a>
            </p>
        </div>
        <div class="welcome-panel-column-container">
            <div class="welcome-panel-column">
                <svg xmlns="http://www.w3.org/2000/svg" fill="#000000" viewBox="0 0 24 24" width="48px" height="48px">
                    <path d="M19,3H5C3.841,3,3,3.841,3,5v14c0,1.159,0.841,2,2,2h14c1.159,0,2-0.841,2-2V5C21,3.841,20.159,3,19,3z M13,17h-2V9.366 l-2,0.703V8.455L12.75,7H13V17z"/>
                </svg>
                <div class="welcome-panel-column-content">
                    <h3><?php esc_html_e("Add a blockchain", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h3>
                    <p><?php esc_html_e("The first step in creating a NFT Marketplace is choosing what blockchains you want to support.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
                    <a href="edit-tags.php?taxonomy=nft_listing_blockchains&post_type=nft-listing"><?php esc_html_e("Add", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
                </div>
            </div>
            <div class="welcome-panel-column">
                <svg xmlns="http://www.w3.org/2000/svg" fill="#000000" viewBox="0 0 24 24" width="48px" height="48px">
                    <path d="M 19 3 L 5 3 C 3.898438 3 3 3.898438 3 5 L 3 19 C 3 20.101563 3.898438 21 5 21 L 19 21 C 20.101563 21 21 20.101563 21 19 L 21 5 C 21 3.898438 20.101563 3 19 3 Z M 15.300781 16.601563 L 8.898438 16.601563 L 8.898438 15.300781 C 11.601563 12.300781 13.101563 11.199219 13.101563 10 C 13.101563 9.601563 12.898438 8.699219 11.898438 8.699219 C 10.601563 8.699219 10.601563 10 10.601563 10.300781 L 8.699219 10.300781 C 8.699219 9.398438 9.398438 7.300781 11.898438 7.300781 C 14.398438 7.300781 14.898438 8.800781 14.898438 9.898438 C 14.898438 11.398438 13.800781 12.601563 11.199219 15.199219 L 15.199219 15.199219 L 15.199219 16.601563 Z"/>
                </svg>
                <div class="welcome-panel-column-content">
                    <h3><?php esc_html_e("Deploy a contract", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h3>
                    <p><?php esc_html_e("For you to start collecting fees from you marketplace and for the website to work, you MUST deploy a contract.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
                        <a class="load-customize hide-if-no-customize" href="edit.php?post_type=nft-listing&page=nft-marketplace-core-panel-contracts"><?php esc_html_e("Deploy", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
                </div>
            </div>
            <div class="welcome-panel-column">
                <svg xmlns="http://www.w3.org/2000/svg" fill="#000000" viewBox="0 0 24 24" width="48px" height="48px">
                    <path d="M 19 3 L 5 3 C 3.898438 3 3 3.898438 3 5 L 3 19 C 3 20.101563 3.898438 21 5 21 L 19 21 C 20.101563 21 21 20.101563 21 19 L 21 5 C 21 3.898438 20.101563 3 19 3 Z M 11.898438 16.699219 C 9.5 16.699219 8.699219 15 8.800781 14 L 10.601563 14 C 10.5 14.300781 10.800781 15.199219 12 15.199219 C 13.300781 15.199219 13.398438 14.101563 13.398438 13.898438 C 13.398438 12.5 12.101563 12.5 11.898438 12.5 L 10.898438 12.5 L 10.898438 11.101563 L 11.898438 11.101563 C 12.398438 11.101563 13.300781 11 13.300781 9.800781 C 13.300781 8.699219 12.300781 8.601563 12 8.601563 C 11 8.601563 10.800781 9.398438 10.800781 9.601563 L 8.898438 9.601563 C 8.898438 7.800781 10.699219 7.101563 11.898438 7.101563 C 14.699219 7.101563 15 9 15 9.699219 C 15 11 13.800781 11.601563 13.601563 11.699219 C 14.101563 11.898438 15.101563 12.398438 15.101563 13.898438 C 15.199219 16.101563 13.300781 16.699219 11.898438 16.699219 Z"/>
                </svg>
                <div class="welcome-panel-column-content">
                    <h3><?php esc_html_e("Start earning", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h3>
                    <p><?php esc_html_e("It's all done. Nothing can stop you anymore from becoming the best marketplace in the whole world.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
                        <a class="load-customize hide-if-no-customize" target="_blank" href="https://docs.modeltheme.com/enefti-marketplace-core"><?php esc_html_e("Learn More", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
                </div>
            </div>
        </div>
    </div>
</div>
