<?php
wp_enqueue_style('datatables', plugin_dir_url(dirname(__DIR__)) . "assets/css/datatables.min.css");
wp_enqueue_script('datatables', plugin_dir_url(dirname(__DIR__)) . "assets/js/datatables.min.js");


wp_enqueue_script('nft-marketplace-core-all-collections-tab',
    plugin_dir_url(dirname(__DIR__)) . "assets/js/all-collections-tab.js", array('wp-i18n'));

wp_localize_script('nft-marketplace-core-all-collections-tab', 'nftMarketplaceCoreAllCollectionsTabData', array(
    'nonce' => wp_create_nonce('wp_rest'),
    'rest_location' => get_rest_url(),
));

global $wp;

?>

<div class="tab-header">
    <h2 class="tab-title"><?php esc_html_e("My Collections", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h2>
    <a href="<?php echo add_query_arg([
        "create-collection" => true
    ], home_url($wp->request)) ?>"
       class="single_nft_button button alt"><?php esc_html_e("Create Collection", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
</div>


<table id="nft-marketplace-core-all-collections-table" class="display" width="100%"></table>
