<?php
wp_enqueue_style('datatables', NFT_MARKETPLACE_CORE_PLUGIN_URL."assets/css/datatables.min.css");
wp_enqueue_script('datatables', NFT_MARKETPLACE_CORE_PLUGIN_URL."assets/js/datatables.min.js");

wp_enqueue_script('nft-marketplace-core-all-nfts-tab',
    NFT_MARKETPLACE_CORE_PLUGIN_URL."assets/js/all-nfts-tab.js", array( 'wp-i18n' ));

wp_localize_script('nft-marketplace-core-all-nfts-tab', 'nftMarketplaceCoreAllNftsTabData', array(
		'nonce' => wp_create_nonce('wp_rest'),
		'rest_location' => get_rest_url(),
));
?>

<div class="tab-header">
	<h2 class="tab-title"><?php esc_html_e("My NFTs",NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></h2>
	<div class="all-nft-btn-group d-flex">
		<a href="<?php echo esc_url(home_url().'/'.get_option('nft_marketplace_core_panel_pages_tab')['nft_marketplace_core_panel_pages_digital_page']); ?>" class="single_nft_button button alt"><?php esc_html_e("Create Digital Asset",NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></a>
	</div>
</div>

<table id="nft-marketplace-core-all-nfts-table" class="display" width="100%"></table>
