<?php

namespace NFT_Marketplace_Core\Backend\ActDeact;

/**
 * Fired during plugin activation
 *
 * @link       https://modeltheme.com/
 * @since      1.0.0
 *
 * @package    NFT_Marketplace_Core
 * @subpackage NFT_Marketplace_Core/backend/act-deact
 */

class ActivatorHelper
{
    public static function run()
    {
        self::createPages();
        self::createTables();
        self::makeSettings();
    }

    private static function createTables()
    {
        new CreateTables();
    }

    private static function createPages()
    {
        $cp = new CreatePages();
        $cp->run();
    }

    private static function makeSettings()
    {
        new FillSettings();
    }
}
