<?php
$default_tab = null;
$tab = $_GET['nft-marketplace-core-tab'] ?? $default_tab;
?>


<div class='wrap nosubsub'>
    <h1 class='wp-heading-inline'><?php esc_html_e("Create & Deploy NFT(s)", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h1>
    <div class="col-wrap">
        <?php if (is_plugin_active("wpnbm/wpnbm.php")) { ?>
            <nav class="nav-tab-wrapper">
                <a href="edit.php?post_type=nft-listing&page=nft-marketplace-core-panel-create-nft"
                   class="nav-tab <?php if ($tab === null): ?>nav-tab-active<?php endif; ?>"><?php esc_html_e("Single", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
                <a href="<?php echo esc_url(add_query_arg("nft-marketplace-core-tab", "bulk")) ?>"
                   class="nav-tab <?php if ($tab === 'bulk'): ?>nav-tab-active<?php endif; ?>"><?php esc_html_e("Bulk", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
            </nav>
        <?php } ?>
        <div class="content" style="padding-top: 30px">

            <?php
            if ($tab === "bulk") {
                echo do_shortcode("[wpnbm_form]");
            } else {
                echo do_shortcode("[wpnc_form]");
            }
            ?>
        </div>
    </div>
</div>
