<?php

namespace NFT_Marketplace_Core\Internals\Metas;

/**
 * NFT Marketplace Core
 *
 * All post metas for the Blockchain post type.
 *
 * @package   NFT Marketplace Core
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright All rights reserved for ModelTheme
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */
class BlockchainMeta
{
    const rpc = "nft_marketplace_core_taxonomy_blockchain_currency_rpc_url";
    const symbol = "nft_marketplace_core_taxonomy_blockchain_currency_symbol";
    const chainid = "nft_marketplace_core_taxonomy_blockchain_currency_chainid";
    const image = "nft_marketplace_core_taxonomy_blockchain_currency_image";
}
