<?php
wp_enqueue_style('datatables', plugin_dir_url(dirname(__DIR__))."assets/css/datatables.min.css");
wp_enqueue_script('datatables', plugin_dir_url(dirname(__DIR__))."assets/js/datatables.min.js");


wp_enqueue_script('nft-marketplace-core-all-contracts-tab',
    plugin_dir_url(dirname(__DIR__))."assets/js/all-contracts-tab.js", array( 'wp-i18n' ));

wp_localize_script('nft-marketplace-core-all-contracts-tab', 'nftMarketplaceCoreAllContractsTabData', array(
    'nonce' => wp_create_nonce('wp_rest'),
    'rest_location' => get_rest_url(),
    'can_mint' => false
));
?>

<div class="tab-header">
    <h2 class="tab-title"><?php esc_html_e("My Contracts",NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></h2>
</div>

<table id="nft-marketplace-core-all-contracts-table" class="display" width="100%"></table>
